nixp.ru v3.0

17 января 2017,
вторник,
09:57:59 MSK

DevOps с компанией «Флант»
anonymous написал 9 ноября 2005 года в 18:03 (453 просмотра) Ведет себя неопределенно; открыл 1814 темы в форуме, оставил 5575 комментариев на сайте.

Здравтвуйте.

Возникла необходимость обновить mysql установленных через стандартую систему pkgtool в Slackware Linux 10.0.

Как можно просто и безопасно осуществить такое обновление как клиента, так и сервера?

metal

upgradepkg — простое средство. С безопасностью не все понятно, безопасно для кого (чего)? Предполагаю для базы данных. Начал бы я с изучения изменений (наверное это уже сделано) в версиях и анализа набора граблей. Потом backup базы и upgrade в single user mode. Если есть нормальный inet, то можно воспользоваться swaret для обновления (я так делаю) иначе могут быть проблемы с зависимостями.

anonymous

Обновил MySQL с помощью upgradepkg.

Работает, но не все.

Допустим при запуске клиента mysql

вылазит ошибка «mysql: /lib/libc.so.6: version `GLIBC_2.3.4\′ not found (required by mysql)»

Нужно обновить glibc, но в формате linux packages нет glibc версии 2.3.4.

искал на linuxpackages.net и через swaret.

Максимум, что нашел glibc-2.3.2-i486-6, который у меня уже установлен.

anonymous

Обновил glibc* до версии 2.3.5, кроме этого пришлось переустанавливать (обновлять) php, иначе неработали функции mysql в php.

Всем спасибо.

metal

То что ты не смог найти нужную тебе версию glibc через swaret, говорит о том что у тебя в нем настроено обновление из репозитария 10.0, был бы 10.2 сразу нашел.

ecobeingecobeing.ru
Экология и вегетарианство на благо всем живым существам Планеты.